# VectorNav C++ Library: vn::sensors::CommunicationProtocolControlRegister Struct Reference

vn::sensors::CommunicationProtocolControlRegister Struct Reference
Register Structures

Structure representing the Communication Protocol Control register. More...

`#include <registers.h>`

## Public Member Functions

| CommunicationProtocolControlRegister (protocol::uart::CountMode serialCountIn, protocol::uart::StatusMode serialStatusIn, protocol::uart::CountMode spiCountIn, protocol::uart::StatusMode spiStatusIn, protocol::uart::ChecksumMode serialChecksumIn, protocol::uart::ChecksumMode spiChecksumIn, protocol::uart::ErrorMode errorModeIn)
| Creates an initializes a new CommunicationProtocolControlRegister structure. More...

## Public Attributes

protocol::uart::CountMode | serialCount
| The serialCount field.
protocol::uart::StatusMode | serialStatus
| The serialStatus field.
protocol::uart::CountMode | spiCount
| The spiCount field.
protocol::uart::StatusMode | spiStatus
| The spiStatus field.
protocol::uart::ChecksumMode | serialChecksum
| The serialChecksum field.
protocol::uart::ChecksumMode | spiChecksum
| The spiChecksum field.
protocol::uart::ErrorMode | errorMode
| The errorMode field.

## Detailed Description

Structure representing the Communication Protocol Control register.

## Constructor & Destructor Documentation

vn::sensors::CommunicationProtocolControlRegister::CommunicationProtocolControlRegister | ( | protocol::uart::CountMode | serialCountIn,
|  | protocol::uart::StatusMode | serialStatusIn,
|  | protocol::uart::CountMode | spiCountIn,
|  | protocol::uart::StatusMode | spiStatusIn,
|  | protocol::uart::ChecksumMode | serialChecksumIn,
|  | protocol::uart::ChecksumMode | spiChecksumIn,
|  | protocol::uart::ErrorMode | errorModeIn
| ) |  |

inline

Creates an initializes a new CommunicationProtocolControlRegister structure.

Parameters

  [in] | serialCountIn | Value to initialize the serialCount field with.
  [in] | serialStatusIn | Value to initialize the serialStatus field with.
  [in] | spiCountIn | Value to initialize the spiCount field with.
  [in] | spiStatusIn | Value to initialize the spiStatus field with.
  [in] | serialChecksumIn | Value to initialize the serialChecksum field with.
  [in] | spiChecksumIn | Value to initialize the spiChecksum field with.
  [in] | errorModeIn | Value to initialize the errorMode field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h